Bug 967218 - fedora-arm-installer always use /tmp for working directory
fedora-arm-installer always use /tmp for working directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-arm-installer (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Chiappetta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 12:07 EDT by masanari iida
Modified: 2014-02-05 16:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:32:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description masanari iida 2013-05-25 12:07:36 EDT
Description of problem:

fedora-arm-installer uses /tmp as working directory.
My system has only 1GB of RAM, and Fedora 18's default,
tmpfs is use for /tmp.

So fedora-arm-installer can not download 500MB over OS image 
(Pidra18) file, because of /tmp full.

I did download the tar archive to other directory using wget,
 and run fedora-arm-installer again.
This time, I specify the tar.gz archive and press "install".
Press "install" to start.

But it failed again, because the /tmp was full again.

How can I specify other than /tmp as working directory??

Filesystem              1K-blocks     Used Available Use% Mounted on
devtmpfs                   395856        0    395856   0% /dev
tmpfs                      410828      176    410652   1% /dev/shm
tmpfs                      410828     6688    404140   2% /run
tmpfs                      410828        0    410828   0% /sys/fs/cgroup
/dev/mapper/fedora-root  10423912  8659576   1228172  88% /
tmpfs                      410828    24464    386364   6% /tmp   <= small!
/dev/sda1                  588352   104028    453604  19% /boot
/dev/sda3                30106576 20137020   8433556  71% /home
/dev/mapper/vg02-lvol1   10186040   525876   9136084   6% /mnt2
Comment 1 Fedora End Of Life 2013-12-21 08:43:41 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:32:41 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.